Package org.eclipse.m2m.atl.engine.vm

## Class ExecEnv

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.ExecEnv

Direct Known Subclasses:
  `ASMExecEnv`

    public class ExecEnv
    extends java.lang.Object

### Field Summary

Fields
`protected java.util.Map` `globalVariables`

### Constructor Summary

Constructors
`ExecEnv​(Debugger debugger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addModel​(java.lang.String name, ASMModel model)` To add a model with a name different in this ASMExecEnv than it actually is.
`void` `addModel​(ASMModel model)`
`void` `addPermission​(java.lang.String permission)`
`boolean` `checkPermission​(java.lang.String permission)`
`boolean` `empty()`
`Debugger` `getDebugger()`
`ASMModel` `getModel​(java.lang.String name)`
`java.util.Map` `getModels()`
`java.util.Stack` `getStack()`
`ASMOclAny` `getVariable​(java.lang.String name)`
`StackFrame` `peek()`
`StackFrame` `pop()`
`void` `printStackTrace()`
`void` `push​(StackFrame frame)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### globalVariables

    protected java.util.Map globalVariables

### Constructor Detail

#### ExecEnv

    public ExecEnv​(Debugger debugger)

### Method Detail

#### empty

    public boolean empty()

#### push

    public void push​(StackFrame frame)

#### peek

    public StackFrame peek()

#### pop

    public StackFrame pop()

#### addModel

    public void addModel​(ASMModel model)

#### addModel

    public void addModel​(java.lang.String name,
                         ASMModel model)

To add a model with a name different in this ASMExecEnv than it actually is. This is necessary for composite transformations in which the in model of transformation may not bear the same name as the out model of the preceding transformation.

#### getModel

    public ASMModel getModel​(java.lang.String name)

#### getModels

    public java.util.Map getModels()

#### printStackTrace

    public void printStackTrace()

#### getVariable

    public ASMOclAny getVariable​(java.lang.String name)

#### getDebugger

    public Debugger getDebugger()

#### getStack

    public java.util.Stack getStack()

#### checkPermission

    public boolean checkPermission​(java.lang.String permission)

#### addPermission

    public void addPermission​(java.lang.String permission)